Vulnerabilities
Get a vulnerability
GET
/
vulnerabilities
/
{id}
Get a vulnerability
curl --request GET \
--url https://api.antigen.sh/v1/vulnerabilities/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.antigen.sh/v1/vulnerabilities/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.antigen.sh/v1/vulnerabilities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"endpoint": "<string>",
"assignee": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"proof": {
"request": "<string>",
"response": "<string>"
},
"cwe": "<string>",
"evidence_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}Authorizations
ApiKeyAuthBearerAuthSessionCookie
API key from the Antigen dashboard.
Path Parameters
Response
200 - application/json
Vulnerability details.
Available options:
open, in_progress, remediated, verified, accepted_risk Available options:
critical, high, medium, low Show child attributes
Show child attributes
⌘I
Get a vulnerability
